# Seagull

A SQLite helper library.

## About

This library is meant to make the developer experience when working SQLite3
in a [GObject](https://en.wikipedia.org/wiki/GObject) based library easier
while not creating an entire
[ORM](https://en.wikipedia.org/wiki/Object%E2%80%93relational_mapping).

This library includes things a schema migration manager as well as helpers for
using prepared statements with named parameters.

## Building

Seagull uses [meson](https://mesonbuild.com/) as a build system. So the steps to
build are the same as any other project using meson:

```
meson setup build
meson compile -C build
meson test --verbose -C build
```

## Contributing

If you would like to contribute, please see our
[Contributing Guide](https://docs.imfreedom.org/contributors-guide/).

## API Reference

The full API reference can be found at
[docs.imfreedom.org/seagull/](https://docs.imfreedom.org/seagull/)

